SND_POWER_WAIT(9)

NAME
snd_power_wait - wait until the power-state is changed.

SYNOPSIS

int snd_power_wait (struct snd_card * card, unsigned int power_state, struct file * file);

ARGUMENTS

card
    soundcard structure

power_state
    expected power state

file
    file structure for the O_NONBLOCK check (optional)

DESCRIPTION

Waits until the power-state is changed.

NOTE

the power lock must be active before call.